import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

const FormItem = Form.Item;


export default class T21R extends Component
{

    name='21R'
    desp = "Related Reference"
    
    pattern = ""
    tno = -1
    onChange=(val)=>{
        this.props.onValue([{s1:val},val])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<Row>
             <Col span={21}> 
                <FormItem
                help={errmsg.s1}
                 validateStatus={errmsg.s1?'error':null}
                
                >
                        <Input maxLength={16} value={value.s1} placeholder={this.props.desp} style={{'imeMode':'disabled'}} onChange={e=>this.onChange(e.target.value)}/>
                </FormItem>
            </Col>
        </Row>)
    }
}